package com.sun.xml.internal.ws.spi.db;

import java.util.HashMap;
import java.util.ArrayList;
import java.net.URL;
import com.sun.xml.internal.ws.api.model.SEIModel;
import java.util.Map;
import java.util.Collection;

public class BindingInfo
{
    private String databindingMode;
    private String defaultNamespace;
    private Collection<Class> contentClasses;
    private Collection<TypeInfo> typeInfos;
    private Map<Class, Class> subclassReplacements;
    private Map<String, Object> properties;
    protected ClassLoader classLoader;
    private SEIModel seiModel;
    private URL wsdlURL;
    
    public BindingInfo() {
        this.contentClasses = new ArrayList();
        this.typeInfos = new ArrayList();
        this.subclassReplacements = new HashMap();
        this.properties = new HashMap();
    }
    
    public String getDatabindingMode() {
        return this.databindingMode;
    }
    
    public void setDatabindingMode(String databindingMode) {
        this.databindingMode = databindingMode;
    }
    
    public String getDefaultNamespace() {
        return this.defaultNamespace;
    }
    
    public void setDefaultNamespace(String defaultNamespace) {
        this.defaultNamespace = defaultNamespace;
    }
    
    public Collection<Class> contentClasses() {
        return this.contentClasses;
    }
    
    public Collection<TypeInfo> typeInfos() {
        return this.typeInfos;
    }
    
    public Map<Class, Class> subclassReplacements() {
        return this.subclassReplacements;
    }
    
    public Map<String, Object> properties() {
        return this.properties;
    }
    
    public SEIModel getSEIModel() {
        return this.seiModel;
    }
    
    public void setSEIModel(SEIModel seiModel) {
        this.seiModel = seiModel;
    }
    
    public ClassLoader getClassLoader() {
        return this.classLoader;
    }
    
    public void setClassLoader(ClassLoader classLoader) {
        this.classLoader = classLoader;
    }
    
    public URL getWsdlURL() {
        return this.wsdlURL;
    }
    
    public void setWsdlURL(URL wsdlURL) {
        this.wsdlURL = wsdlURL;
    }
}
